API
Projects
The repository, tracker and credentials a mission runs against.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Range
1 <= value <= 100Default
20cursor?string
byTrackerConnectorId?string
byTrackerTeamId?string
byTrackerProjectId?string
byScmConnectorId?string
byScmOwner?string
byScmRepo?string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/projects"{ "data": [ { "id": "string", "orgId": "string", "slug": "string", "name": "string", "status": "active", "trackerConnectorId": "string", "trackerTeamId": "string", "trackerProjectId": "string", "scmConnectorId": "string", "scmOwner": "string", "scmRepo": "string", "llmConnectorId": "string", "autoMerge": true, "issueCode": "string", "createdAt": 0, "missingConnectorKinds": [ "tracker" ] } ], "nextCursor": "string"}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "repoFullName": "string" }'{ "id": "string", "orgId": "string", "slug": "string", "name": "string", "status": "active", "trackerConnectorId": "string", "trackerTeamId": "string", "trackerProjectId": "string", "scmConnectorId": "string", "scmOwner": "string", "scmRepo": "string", "llmConnectorId": "string", "autoMerge": true, "issueCode": "string", "createdAt": 0, "missingConnectorKinds": [ "tracker" ]}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
projectId*string
Length
1 <= lengthResponse Body
application/json
application/json
curl -X GET "https://example.com/projects/string"{ "id": "string", "orgId": "string", "slug": "string", "name": "string", "status": "active", "trackerConnectorId": "string", "trackerTeamId": "string", "trackerProjectId": "string", "scmConnectorId": "string", "scmOwner": "string", "scmRepo": "string", "llmConnectorId": "string", "autoMerge": true, "issueCode": "string", "createdAt": 0, "missingConnectorKinds": [ "tracker" ]}Path Parameters
projectId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/projects/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "orgId": "string", "slug": "string", "name": "string", "status": "active", "trackerConnectorId": "string", "trackerTeamId": "string", "trackerProjectId": "string", "scmConnectorId": "string", "scmOwner": "string", "scmRepo": "string", "llmConnectorId": "string", "autoMerge": true, "issueCode": "string", "createdAt": 0, "missingConnectorKinds": [ "tracker" ]}Path Parameters
projectId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/projects/string"{ "ok": true, "id": "string"}How is this page?